Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
16.01.2021, 07:27:56

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25069
  • Letzte: rs_linux
Statistiken
  • Beiträge insgesamt: 708137
  • Themen insgesamt: 57252
  • Heute online: 515
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 6
Gäste: 334
Gesamt: 340

Autor Thema:  Probleme mit .desktop Dateien unter Mate  (Gelesen 3414 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #30 am: 09.04.2016, 21:39:18 »
Das ist der Starter für eines meiner Lieblingsprogramme unter Windows KeyNote NF in der ursprünglichen letzten Version auch in Deutsch erhältlich. Neuere Versionen gibt es nur in Englisch.

Zitat
#!/usr/bin/env xdg-open
[Desktop Entry]
Version=1.0
Type=Application
Terminal=false
Icon[de_DE]=notepad-48
Name[de_DE]=KeyNote-NF
Exec=wine start /Unix "/home/master/Anwendungen/KeyNote_NF/keynote.exe"
Comment[de_DE]=Editorprogramm für KeyNotes
Name=KeyNote-NF
Comment=Editorprogramm für KeyNotes
Icon=notepad-48
Categories=Other;Science;Office

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #31 am: 09.04.2016, 21:42:33 »
Der Eintrag ist so wie oben bei mir im Office-Menü gelandet.

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #32 am: 09.04.2016, 22:44:26 »
Ich kann auch unter Cinnamon im applications Verzeichnis mit Druck keine screenshots anfertigen, wenn ich das Kontextmenü von gedit geöffnet habe. Sobald ich das Kontextmenü zu mache, klappen auch screenshots. Mit shutter funktioniert natürlich beides, weil ich da mit Zeiteinstellung screenshots machen kann.

Das ist eine weitere Starterdatei, die ich als Gewohnheitstier für Webocton Scripty portable eingerichtet habe. Ich weiß, bluefish ist besser, insbesondere für HTML5 und vermutlich auch sonst. Aber Webocton Scriptly ist nachwievor für ältere Browser aus Kompatibiltätsgründen für mich ein muss. Alles was ich bei Ebay einstelle, mache ich nachwievor mit Scriptly und teste es mit einem alten Internet Explorer, der in Scriptly integriert ist, vorher aus. Unter Cinnamon brauche ich auch keinen hashpling. Das geht auch ohne problemlos, wie folgt. Das Script kann aber vermutlich noch verbessert werden:

Zitat
[Desktop Entry]
Comment=HTML-Editor
Encoding=UTF-8
Terminal=false
Name=Webocton Scriptly
Exec=wine start /Unix "/home/username/Anwendungen/Webocton_Scriptly/webocton_scriptly.exe"
Icon=/home/username/Anwendungen/Webocton_Scriptly/scriptly.ico
Type=Application
Categories=Other;Development

Der Menüpunkt landet bei mir unter bluefish und code::blocks im Entwicklung-Menü. Mit so einem Script klappte es unter Mate nicht, weil der hashpling fehlte.

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #33 am: 09.04.2016, 22:54:11 »
Die erste Zeile ist der hashpling. Nehme ihn raus und schaue dir an, was passiert.
Dadurch ändert sich nichts.

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #34 am: 10.04.2016, 00:18:16 »
Ein hashpling ist auch unnötig und hat bei einem Starter eigentlich auch nichts zu suchen, weil alles dazu in /usr/bin geregelt ist/wird durch das Anlegen und Speichern des Starters.

Habe kein Mate, aber das dazu für Mate gefunden:
http://daniel.serbanescu.dk/how-to-fix-xdg-open-in-mate-de/
« Letzte Änderung: 10.04.2016, 01:01:56 von geobart »

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #35 am: 10.04.2016, 00:21:23 »
Du musst eine andere Version von Mate verwenden als ich. Ich habe in Mate kurz nach der Installation

sudo apt-get update && sudo apt-get install linux-generic && sudo apt-get dist-upgrade

eingegeben, weil ich gehofft habe, dass dadurch vielleicht ein Hardware- bzw. Treiberproblem gelöst wird. Da ich an den Servereinstellungen nichts verändert habe (ich habe schnelles Breitband-Internet), sind meine Upgrades vermutlich aus USA gekommen. Alle Nachfragen zu Konfiguration Issues habe ich  verneint. Erst nach Durchführung des dist-upgrades hatte ich das Problem. Vorher war das Verhalten ziemlich genau wie unter Cinnamon.

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #36 am: 10.04.2016, 00:32:36 »
Du musst eine andere Version von Mate verwenden als ich. Ich habe in Mate kurz nach der Installation
Dann kann ich keine andere Version haben als du. Ist ebenfalls ein vollständig aktualisiertes LM17.3 Mate. Aber außer Aktualisieren und hin und wieder mal was nach schauen um zu versuchen anderen zu helfen mache ich damit auch nicht.

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #37 am: 10.04.2016, 01:12:55 »
Alle Nachfragen zu Konfiguration Issues habe ich  verneint.

Vielleicht liegt es daran. Ihr könnt ja mal eure Dateien vergleichen.
cat /usr/bin/xdg-open

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #38 am: 10.04.2016, 01:44:47 »
Zitat
Habe kein Mate, aber das dazu für Mate gefunden:
http://daniel.serbanescu.dk/how-to-fix-xdg-open-in-mate-de/


Der Artikel ist bereits fast 2 Jahre alt!

else DE=”” habe in detectDE() nicht!
Ich habe else DE=Gnome in detectDE() und damit vermutlich eine andere Version, in der dieser Downloaddatei Öffnungs Fehler hoffentlich  bereits behoben ist. Bemerkt habe in dieser Richtung noch nichts.

Meine xdg-open ist genau 344 Zeilen lang (Edit: da war ich noch in Cinnamon). Hinweise, welche Version das ist, kann ich in der Datei nicht finden und ich weiß auch nicht, wo ich sonst noch nachsehen könnte oder wann sie auf meinen Rechner kam. Das muss ich erst noch herausfinden, wie das geht.

Ich betrachte die Notwendigkeit einen hashpling einzuführen keinesfalls als Fehler. Aus meiner Sicht kann das durchaus einen nützlichen und gewollten Nebeneffekt haben, wenn man das Erstellen von .desktop Dateien etwas erschwert und die Dateien vom Desktop verschwinden, wenn da Blödsinn drin steht. Eigentlich ist das sogar eine sinnvolle Lösung, wenn es eine Instanz gibt, die diese Dateien vorprüft. Sonst machen Anfänger mit LM schneller Unsinn, als euch das lieb ist.
« Letzte Änderung: 10.04.2016, 02:30:43 von Zimtstange »

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #39 am: 10.04.2016, 02:19:58 »
Die Version in Mate ist 563 Zeilen lang und enthält wesentlich mehr Code als die von der Cinnamon Edition (344 Zeilen):

cat /usr/bin/xdg-open

#!/bin/sh
#---------------------------------------------
#   xdg-open
#
#   Utility script to open a URL in the registered default application.
#
#   Refer to the usage() function below for usage.
#
#   Copyright 2009-2010, Fathi Boudra <fabo@freedesktop.org>
#   Copyright 2009-2010, Rex Dieter <rdieter@fedoraproject.org>
#   Copyright 2006, Kevin Krammer <kevin.krammer@gmx.at>
#   Copyright 2006, Jeremy White <jwhite@codeweavers.com>
#
#   LICENSE:
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included
#   in all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
#   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
#   THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
#   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
#   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
#   OTHER DEALINGS IN THE SOFTWARE.
#
#---------------------------------------------

manualpage()
{
cat << _MANUALPAGE
Name

xdg-open - opens a file or URL in the user's preferred application

Synopsis

xdg-open { file | URL }

xdg-open { --help | --manual | --version }

Description

xdg-open opens a file or URL in the user's preferred application. If a URL is
provided the URL will be opened in the user's preferred web browser. If a file
is provided the file will be opened in the preferred application for files of
that type. xdg-open supports file, ftp, http and https URLs.

xdg-open is for use inside a desktop session only. It is not recommended to use
xdg-open as root.

Options

--help
    Show command synopsis.
--manual
    Show this manualpage.
--version
    Show the xdg-utils version information.

Exit Codes

An exit code of 0 indicates success while a non-zero exit code indicates
failure. The following failure codes can be returned:

1
    Error in command line syntax.
2
    One of the files passed on the command line did not exist.
3
    A required tool could not be found.
4
    The action failed.

Examples

xdg-open 'http://www.freedesktop.org/'

Opens the Freedesktop.org website in the user's default browser

xdg-open /tmp/foobar.png

Opens the PNG image file /tmp/foobar.png in the user's default image viewing
application.

_MANUALPAGE
}

usage()
{
cat << _USAGE
xdg-open - opens a file or URL in the user's preferred application

Synopsis

xdg-open { file | URL }

xdg-open { --help | --manual | --version }

_USAGE
}

#@xdg-utils-common@

#----------------------------------------------------------------------------
#   Common utility functions included in all XDG wrapper scripts
#----------------------------------------------------------------------------

DEBUG()
{
  [ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && return 0;
  [ ${XDG_UTILS_DEBUG_LEVEL} -lt $1 ] && return 0;
  shift
  echo "$@" >&2
}

#-------------------------------------------------------------
# Exit script on successfully completing the desired operation

exit_success()
{
    if [ $# -gt 0 ]; then
        echo "$@"
        echo
    fi

    exit 0
}


#-----------------------------------------
# Exit script on malformed arguments, not enough arguments
# or missing required option.
# prints usage information

exit_failure_syntax()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
        echo "Try 'xdg-open --help' for more information." >&2
    else
        usage
        echo "Use 'man xdg-open' or 'xdg-open --manual' for additional info."
    fi

    exit 1
}

#-------------------------------------------------------------
# Exit script on missing file specified on command line

exit_failure_file_missing()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 2
}

#-------------------------------------------------------------
# Exit script on failure to locate necessary tool applications

exit_failure_operation_impossible()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 3
}

#-------------------------------------------------------------
# Exit script on failure returned by a tool application

exit_failure_operation_failed()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 4
}

#------------------------------------------------------------
# Exit script on insufficient permission to read a specified file

exit_failure_file_permission_read()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 5
}

#------------------------------------------------------------
# Exit script on insufficient permission to write a specified file

exit_failure_file_permission_write()
{
    if [ $# -gt 0 ]; then
        echo "xdg-open: $@" >&2
    fi

    exit 6
}

check_input_file()
{
    if [ ! -e "$1" ]; then
        exit_failure_file_missing "file '$1' does not exist"
    fi
    if [ ! -r "$1" ]; then
        exit_failure_file_permission_read "no permission to read file '$1'"
    fi
}

check_vendor_prefix()
{
    file_label="$2"
    [ -n "$file_label" ] || file_label="filename"
    file=`basename "$1"`
    case "$file" in
       [a-zA-Z]*-*)
         return
         ;;
    esac

    echo "xdg-open: $file_label '$file' does not have a proper vendor prefix" >&2
    echo 'A vendor prefix consists of alpha characters ([a-zA-Z]) and is terminated' >&2
    echo 'with a dash ("-"). An example '"$file_label"' is '"'example-$file'" >&2
    echo "Use --novendor to override or 'xdg-open --manual' for additional info." >&2
    exit 1
}

check_output_file()
{
    # if the file exists, check if it is writeable
    # if it does not exists, check if we are allowed to write on the directory
    if [ -e "$1" ]; then
        if [ ! -w "$1" ]; then
            exit_failure_file_permission_write "no permission to write to file '$1'"
        fi
    else
        DIR=`dirname "$1"`
        if [ ! -w "$DIR" -o ! -x "$DIR" ]; then
            exit_failure_file_permission_write "no permission to create file '$1'"
        fi
    fi
}

#----------------------------------------
# Checks for shared commands, e.g. --help

check_common_commands()
{
    while [ $# -gt 0 ] ; do
        parm="$1"
        shift

        case "$parm" in
            --help)
            usage
            echo "Use 'man xdg-open' or 'xdg-open --manual' for additional info."
            exit_success
            ;;

            --manual)
            manualpage
            exit_success
            ;;

            --version)
            echo "xdg-open 1.0.2"
            exit_success
            ;;
        esac
    done
}

check_common_commands "$@"

[ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && unset XDG_UTILS_DEBUG_LEVEL;
if [ ${XDG_UTILS_DEBUG_LEVEL-0} -lt 1 ]; then
    # Be silent
    xdg_redirect_output=" > /dev/null 2> /dev/null"
else
    # All output to stderr
    xdg_redirect_output=" >&2"
fi

#--------------------------------------
# Checks for known desktop environments
# set variable DE to the desktop environments name, lowercase

detectDE()
{
    if [ x"$KDE_FULL_SESSION" = x"true" ]; then DE=kde;
    elif [ x"$GNOME_DESKTOP_SESSION_ID" != x"" ]; then DE=gnome;
    elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
    elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
    elif [ x"$DESKTOP_SESSION" = x"LXDE" ]; then DE=lxde;
    else DE=gnome
    fi
}

#----------------------------------------------------------------------------
# kfmclient exec/openURL can give bogus exit value in KDE <= 3.5.4
# It also always returns 1 in KDE 3.4 and earlier
# Simply return 0 in such case

kfmclient_fix_exit_code()
{
    version=`kde${KDE_SESSION_VERSION}-config --version 2>/dev/null | grep '^KDE'`
    major=`echo $version | sed 's/KDE.*: \([0-9]\).*/\1/'`
    minor=`echo $version | sed 's/KDE.*: [0-9]*\.\([0-9]\).*/\1/'`
    release=`echo $version | sed 's/KDE.*: [0-9]*\.[0-9]*\.\([0-9]\).*/\1/'`
    test "$major" -gt 3 && return $1
    test "$minor" -gt 5 && return $1
    test "$release" -gt 4 && return $1
    return 0
}

# This handles backslashes but not quote marks.
first_word()
{
    read first rest
    echo "$first"
}

open_kde()
{
    if kde-open -v 2>/dev/null 1>&2; then
        kde-open "$1"
    else
        if [ x"$KDE_SESSION_VERSION" = x"4" ]; then
            kfmclient openURL "$1"
        else
            kfmclient exec "$1"
            kfmclient_fix_exit_code $?
        fi
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

open_gnome()
{
    if gvfs-open --help 2>/dev/null 1>&2; then
        gvfs-open "$1"
    else
        gnome-open "$1"
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

open_xfce()
{
    exo-open "$1"

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

open_generic_xdg_mime()
{
    filetype=`xdg-mime query filetype "$1" | sed "s/;.*//"`
    default=`xdg-mime query default "$filetype"`
    if [ -n "$default" ] ; then
        xdg_user_dir="$XDG_DATA_HOME"
        [ -n "$xdg_user_dir" ] || xdg_user_dir="$HOME/.local/share"

        xdg_system_dirs="$XDG_DATA_DIRS"
        [ -n "$xdg_system_dirs" ] || xdg_system_dirs=/usr/local/share/:/usr/share/

        for x in `echo "$xdg_user_dir:$xdg_system_dirs" | sed 's/:/ /g'`; do
            local file="$x/applications/$default"
            if [ -r "$file" ] ; then
                command="`grep -E "^Exec(\[[^]=]*])?=" "$file" | cut -d= -f 2- | first_word`"
                command_exec=`which $command 2>/dev/null`
                if [ -x "$command_exec" ] ; then
                    $command_exec "$1"
                    if [ $? -eq 0 ]; then
                        exit_success
                    fi
                fi
            fi
        done
    fi
}

open_generic()
{
    # Paths or file:// URLs
    if (echo "$1" | grep -q '^file://' ||
        ! echo "$1" | egrep -q '^[a-zA-Z+\.\-]+:'); then

        local file="$1"

        # Decode URLs
        if echo "$file" | grep -q '^file:///'; then
            file=${file#file://}
            local printf=printf
            if [ -x /usr/bin/printf ]; then
                printf=/usr/bin/printf
            fi
            file="$($printf "$(echo "$file" | sed -e 's@%\([a-f0-9A-F]\{2\}\)@\\x\1@g')")"
        fi
        check_input_file "$file"

        open_generic_xdg_mime "$file"

        if [ -f /etc/debian_version ] &&
            which run-mailcap 2>/dev/null 1>&2; then
            run-mailcap --action=view "$file"
            if [ $? -eq 0 ]; then
                exit_success
            fi
        fi

        if mimeopen -v 2>/dev/null 1>&2; then
            mimeopen -L -n "$file"
            if [ $? -eq 0 ]; then
                exit_success
            fi
        fi
    fi

    OLDIFS="$IFS"
    IFS=":"
    for browser in $BROWSER; do
        IFS="$OLDIFS"
        if [ x"$browser" != x"" ]; then

            browser_with_arg=`printf "$browser" "$1" 2>/dev/null`
            if [ $? -ne 0 ]; then
                browser_with_arg=$browser;
            fi

            if [ x"$browser_with_arg" = x"$browser" ]; then
                $browser "$1";
            else eval '$browser_with_arg'$xdg_redirect_output;
            fi

            if [ $? -eq 0 ]; then
                exit_success;
            fi
        fi
    done

    exit_failure_operation_impossible "no method available for opening '$1'"
}

open_lxde()
{
    # pcmanfm only knows how to handle file:// urls and filepaths, it seems.
    if (echo "$1" | grep -q '^file://' ||
        ! echo "$1" | egrep -q '^[a-zA-Z+\.\-]+:')
    then
        local file="$(echo "$1" | sed 's%^file://%%')"

        # handle relative paths
        if ! echo "$file" | grep -q '^/'; then
            file="$(pwd)/$file"
        fi

        pcmanfm "$file"

    else
        open_generic "$1"
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

[ x"$1" != x"" ] || exit_failure_syntax

url=
while [ $# -gt 0 ] ; do
    parm="$1"
    shift

    case "$parm" in
      -*)
        exit_failure_syntax "unexpected option '$parm'"
        ;;

      *)
        if [ -n "$url" ] ; then
            exit_failure_syntax "unexpected argument '$parm'"
        fi
        url="$parm"
        ;;
    esac
done

if [ -z "${url}" ] ; then
    exit_failure_syntax "file or URL argument missing"
fi

detectDE

if [ x"$DE" = x"" ]; then
    DE=generic
fi

# if BROWSER variable is not set, check some well known browsers instead
if [ x"$BROWSER" = x"" ]; then
    BROWSER=links2:links:lynx:w3m
    if [ -n "$DISPLAY" ]; then
        BROWSER=x-www-browser:firefox:mozilla:epiphany:konqueror:chromium-browser:google-chrome:$BROWSER
    fi
fi

case "$DE" in
    kde)
    open_kde "$url"
    ;;

    gnome)
    open_gnome "$url"
    ;;

    xfce)
    open_xfce "$url"
    ;;

    lxde)
    open_lxde "$url"
    ;;

    generic)
    open_generic "$url"
    ;;

    *)
    exit_failure_operation_impossible "no method available for opening '$url'"
    ;;
esac
« Letzte Änderung: 10.04.2016, 02:31:42 von Zimtstange »

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #40 am: 10.04.2016, 13:43:33 »
Soweit ich weiß, hat jeder Desktop seine eigene Methode für die Auswahl des Programms, mit dem eine Datei standardmäßig geöffnet wird. Da gibt es zB gnome-open / gvfs-open bei den Gnome-Desktops.
Nur wenn dafür kein eigenes Werkzeug vorhanden ist, wird xdg-open primär benutzt.

Im übrigen, ob ein Artikel 2 Jahre alt ist, spielt doch keine Rolle, solange der behandelte Sachverhalt noch zutreffend ist. Den X-Server gibt es ja auch nicht erst seit gestern.

Ich finde es überhaupt nicht verwunderlich, daß es Unterschiede zwischen MATE und Cinnamon gibt, auch und gerade bei bestimmten Konfigurations-Dateien - sonst wären es ja die gleichen Desktops.
Insofern ist Deine Zeilen-Zählerei doch völlig sinnlos, solange Du Dich nicht damit beschäftigst, was in den Zeilen steht.
Die mit '#' auskommentierten Zeilen braucht man nicht zu berücksichtigen, lesen aber schon.

Ansonsten sind die Phänomene, die Du schilderst, nicht nachvollziehbar, was den Verdacht aufkommen lässt, dass Du das System verändert hast.

Diese Hashpling(Shebang, !#)-Zeile gibt es in *.desktop Dateien normalerweise nicht.
Das minimale Schema ist: [Desktop Entry]
Type=...
Name=...
Exec=...
Ausreichend Beispiele findet man in /usr/share/applications

Auf die Idee, daß Linux-Nutzer blöd sind und Unsinn machen, würde ich nie kommen. ;D
« Letzte Änderung: 10.04.2016, 15:18:58 von aexe »

Re: Probleme mit .desktop Dateien unter Mate
« Antwort #41 am: 10.04.2016, 19:26:09 »
Zitat
Ansonsten sind die Phänomene, die Du schilderst, nicht nachvollziehbar, was den Verdacht aufkommen lässt, dass Du das System verändert hast.
Ich habe das Linux-System definitiv nicht verändert. Dazu fehlt mir (noch) das Wissen. Ich habe zwei Windowsprogramme unter Linux installiert, um beispielhaft zu zeigen, wie das geht. Mehr habe ich nicht gemacht und mehr wollte ich auch nicht erreichen. Den Weg den ich gegangen bin und der oben von mir beschrieben wurde, ist mE halbwegs idiotensicher. Allerdings ist das Thema damit nur angekratzt. Es gibt auf diesem Gebiet noch erheblich mehr zu wissen. Das weiß ich.

Zitat
Auf die Idee, daß Linux-Nutzer blöd sind und Unsinn machen, würde ich nie kommen. ;D
Oh Mann, die Vielfalt auf dieser Welt ist groß. (Auch die Microsoft Welt gehört dazu). Über das was ich auf diesem Gebiet bereits alles erlebt habe, könnte ich ein dickes Buch schreiben und es wäre danach immer noch nicht vollständig. Wenn ich einen gebrauchten PC verkaufe (mit Betriebssystem egal), habe ich ständig Angst, dass irgendetwas passiert, was ich in meiner Beschreibung nicht beschrieben habe oder den PC noch kurz vor oder nach Übergabe unbrauchbar macht (weil plötzlich irgendetwas nicht mehr funktioniert).

[spoiler]Dass jemand versucht hat, ein Windows-Programm einfach durch Anklicken auf einem Linux System zu starten, habe ich bereits erlebt. Da das nicht funktionierte, meinte dieser jemand auch noch, dies sei sehr schlecht und alles andere viel zu kompliziert.[/spoiler]